Criar HTTP tool
curl --request POST \
--url https://api.notifique.dev/v1/http-tools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Exemplo",
"urlTemplate": "string",
"allowedHosts": [
"string"
],
"description": "string",
"parametersSchema": {},
"method": "string",
"headersJson": {},
"bodyTemplate": "string",
"allowInDashboardTest": true,
"allowInAutomation": true,
"allowInWebWidget": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Exemplo',
urlTemplate: 'string',
allowedHosts: ['string'],
description: 'string',
parametersSchema: {},
method: 'string',
headersJson: {},
bodyTemplate: 'string',
allowInDashboardTest: true,
allowInAutomation: true,
allowInWebWidget: true
})
};
fetch('https://api.notifique.dev/v1/http-tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/http-tools"
payload = {
"name": "Exemplo",
"urlTemplate": "string",
"allowedHosts": ["string"],
"description": "string",
"parametersSchema": {},
"method": "string",
"headersJson": {},
"bodyTemplate": "string",
"allowInDashboardTest": True,
"allowInAutomation": True,
"allowInWebWidget": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/http-tools"
payload := strings.NewReader("{\n \"name\": \"Exemplo\",\n \"urlTemplate\": \"string\",\n \"allowedHosts\": [\n \"string\"\n ],\n \"description\": \"string\",\n \"parametersSchema\": {},\n \"method\": \"string\",\n \"headersJson\": {},\n \"bodyTemplate\": \"string\",\n \"allowInDashboardTest\": true,\n \"allowInAutomation\": true,\n \"allowInWebWidget\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {}
}HTTP tools
Criar HTTP tool
POST
/
v1
/
http-tools
Criar HTTP tool
curl --request POST \
--url https://api.notifique.dev/v1/http-tools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Exemplo",
"urlTemplate": "string",
"allowedHosts": [
"string"
],
"description": "string",
"parametersSchema": {},
"method": "string",
"headersJson": {},
"bodyTemplate": "string",
"allowInDashboardTest": true,
"allowInAutomation": true,
"allowInWebWidget": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Exemplo',
urlTemplate: 'string',
allowedHosts: ['string'],
description: 'string',
parametersSchema: {},
method: 'string',
headersJson: {},
bodyTemplate: 'string',
allowInDashboardTest: true,
allowInAutomation: true,
allowInWebWidget: true
})
};
fetch('https://api.notifique.dev/v1/http-tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/http-tools"
payload = {
"name": "Exemplo",
"urlTemplate": "string",
"allowedHosts": ["string"],
"description": "string",
"parametersSchema": {},
"method": "string",
"headersJson": {},
"bodyTemplate": "string",
"allowInDashboardTest": True,
"allowInAutomation": True,
"allowInWebWidget": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/http-tools"
payload := strings.NewReader("{\n \"name\": \"Exemplo\",\n \"urlTemplate\": \"string\",\n \"allowedHosts\": [\n \"string\"\n ],\n \"description\": \"string\",\n \"parametersSchema\": {},\n \"method\": \"string\",\n \"headersJson\": {},\n \"bodyTemplate\": \"string\",\n \"allowInDashboardTest\": true,\n \"allowInAutomation\": true,\n \"allowInWebWidget\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {}
}Autorizações
ntfAutoBearerAuthntfAutoApiKeyHeader
Authorization: Bearer sk_live_...
Corpo
application/json
Esta página foi útil?

